Period Close Task

The period close task resource.

Basehttps://rest.carbon.ms/periodCloseTask
GET/periodCloseTask

List period close tasks

Retrieve a paginated list of period close tasks. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/periodCloseTask
curl --request GET \
  --url 'https://rest.carbon.ms/periodCloseTask?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "accountingPeriodId": "xyz789",
    "name": "Example",
    "taskType": "string",
    "sortOrder": 0,
    "required": true,
    "status": "string"
  }
]
GET/periodCloseTask

Retrieve a period close task

Fetch a single period close task by filtering on `id`.

Query parameters

idstring

Match on the period close task's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/periodCloseTask
curl --request GET \
  --url 'https://rest.carbon.ms/periodCloseTask?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "accountingPeriodId": "xyz789",
  "name": "Example",
  "taskType": "string",
  "sortOrder": 0,
  "required": true,
  "status": "string"
}
POST/periodCloseTask

Create a period close task

Create a new period close task.

Body parameters

accountingPeriodIdstringrequired

References accountingPeriod.id

definitionIdstring
namestringrequired
taskTypestringrequired
autoCheckKeystring
sortOrdernumberrequired
requiredbooleanrequired
severitystring
statusstringrequired
assigneeIdstring

References user.id

completedBystring

References user.id

completedAttimestamp
skippedReasonstring
evidenceJournalIdstring
notesstring
POSThttps://rest.carbon.ms/periodCloseTask
curl --request POST \
  --url https://rest.carbon.ms/periodCloseTask \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"accountingPeriodId":"xyz789","name":"Example","taskType":"string","sortOrder":0,"required":true,"status":"string"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "accountingPeriodId": "xyz789",
  "name": "Example",
  "taskType": "string",
  "sortOrder": 0,
  "required": true,
  "status": "string"
}
PATCH/periodCloseTask

Update a period close task

Update an existing period close task, matched on `id`.

Body parameters

accountingPeriodIdstringrequired

References accountingPeriod.id

definitionIdstring
namestringrequired
taskTypestringrequired
autoCheckKeystring
sortOrdernumberrequired
requiredbooleanrequired
severitystring
statusstringrequired
assigneeIdstring

References user.id

completedBystring

References user.id

completedAttimestamp
skippedReasonstring
evidenceJournalIdstring
notesstring
PATCHhttps://rest.carbon.ms/periodCloseTask
curl --request PATCH \
  --url 'https://rest.carbon.ms/periodCloseTask?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"accountingPeriodId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "accountingPeriodId": "xyz789",
  "name": "Example",
  "taskType": "string",
  "sortOrder": 0,
  "required": true,
  "status": "string"
}
DELETE/periodCloseTask

Delete a period close task

Delete a period close task, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the period close task to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/periodCloseTask
curl --request DELETE \
  --url 'https://rest.carbon.ms/periodCloseTask?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content